Package be.vlaanderen.mercurius.mohm.common.v7

# Class DecisionBTCType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.DecisionBTCType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class DecisionBTCType extends Object implements Serializable
Generiek type voor het luik BTC in de beslissing

Java class for DecisionBTCType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DecisionBTCType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MotivationRefused" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}MotivationType" minOccurs="0"/>
             <element name="BTCAdjustmentAdvice" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}DecisionBTCAdviceType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecisionBTCType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<DecisionBTCAdviceType>`
  `getBTCAdjustmentAdvices()`
  Gets the value of the btcAdjustmentAdvices property.
  `String`
  `getMotivationRefused()`
  Motivatie van de ZKC om aanvraag niet te laten doorgaan naar BTC.
  `void`
  `setMotivationRefused(String value)`
  Sets the value of the motivationRefused property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DecisionBTCType

    public DecisionBTCType()

- ## Method Details

  - ### getMotivationRefused

    public String getMotivationRefused()
    Motivatie van de ZKC om aanvraag niet te laten doorgaan naar BTC. Als dit veld is ingevuld, is de aanvraag niet neergelegd bij BTC voor advies en is het luik BTC geweigerd.
    Returns:
      possible object is `String`

  - ### setMotivationRefused

    public void setMotivationRefused(String value)
    Sets the value of the motivationRefused property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getMotivationRefused()`

  - ### getBTCAdjustmentAdvices

    public List<DecisionBTCAdviceType> getBTCAdjustmentAdvices()
    Gets the value of the btcAdjustmentAdvices property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the btcAdjustmentAdvices property.

    For example, to add a new item, do as follows:

         getBTCAdjustmentAdvices().add(newItem);

    Objects of the following type(s) are allowed in the list `DecisionBTCAdviceType`

    Returns:
      The value of the btcAdjustmentAdvices property.